## sogo-connector 31.0.0

=== Makefile ===
PACKAGE = sogo-connector
GIT_REV = $(shell git rev-parse --verify HEAD | cut -c1-10)

ifeq ($(shell uname),Darwin)
VERSION = $(shell grep em:version install.rdf | sed -E 's@(em:version=|"| )@@g')
else
VERSION = $(shell grep em:version install.rdf | sed -e 's@\(em:version=\|\"\|\ \)@@g')
endif

XPI_ARCHIVE = $(PACKAGE)-$(VERSION)-$(GIT_REV).xpi

SHELL = /bin/bash
ZIP = /usr/bin/zip

FILENAMES = $(shell cat MANIFEST)

all: MANIFEST-pre MANIFEST rest

MANIFEST: MANIFEST-pre
	@if ! cmp MANIFEST MANIFEST-pre >& /dev/null; then \
	  mv -f MANIFEST-pre MANIFEST; \
	  echo MANIFEST updated; \
	else \
	  rm -f MANIFEST-pre; \
	fi;

MANIFEST-pre:
	@echo install.rdf >> $@
	@echo COPYING >> $@
	@echo ChangeLog.old >> $@
	@find . -type f -name "*.manifest" >> $@
	@find . -type f -name "*.xul" >> $@
	@find . -type f -name "*.xml" >> $@
	@find . -type f -name "*.dtd" >> $@
	@find . -type f -name "*.idl" >> $@
	@find . -type f -name "*.js" >> $@
	@find . -type f -name "*.css" >> $@
	@find . -type f -name "*.png" >> $@
	@find . -type f -name "*.gif" >> $@
	@find . -type f -name "*.jpg" >> $@
	@find . -type f -name "*.xpt" >> $@
	@find . -type f -name "*.properties" >> $@	
	@find . -type f -name "RELEASE-NOTES" >> $@	

rest: MANIFEST
	@+make $(XPI_ARCHIVE)

$(XPI_ARCHIVE): $(FILENAMES)
	@echo Generating $(XPI_ARCHIVE)...
	@rm -f $(XPI_ARCHIVE)
	@$(ZIP) -9r $(XPI_ARCHIVE) $(FILENAMES) > /dev/null

clean:
	rm -f MANIFEST-pre $(XPI_ARCHIVE)
	rm -f *.xpi
	find . -name "*~" -exec rm -f {} \;

distclean: clean
	rm -f MANIFEST

=== debian/changelog ===
sogo-connector (31.0.0-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 22 Dec 2014 12:12:36 +0100

sogo-connector (31.0.0-1) unstable; urgency=medium

  * debian/control: changing Vcs URL's to Alioth
  * debian/watch: switch to new upstream version 31
  * Imported Upstream version 31.0.0
  * rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 28 Oct 2014 19:22:22 +0100

sogo-connector (24.0.7-1) unstable; urgency=medium

  * Imported Upstream version 24.0.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 10 Oct 2014 08:51:28 +0200

sogo-connector (24.0.6-3) experimental; urgency=medium

  * debian/control: adding dep on iceowl-extension > 31
  * linitan: bump up standards version to 3.9.6
  * debian/control: adding Christoph as uploader

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 08 Oct 2014 20:34:25 +0200

sogo-connector (24.0.6-2) experimental; urgency=medium

  * debian/copyright: adding more files
      Thanks Thorsten Alteholz for pointing!

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Sep 2014 19:35:22 +0200

sogo-connector (24.0.6-1) experimental; urgency=medium

  * Imported Upstream version 24.0.6
  * debian/copyright: reflect recent changes by upstream

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 03 Aug 2014 21:57:21 +0200

sogo-connector (24.0.5-1) experimental; urgency=medium

  [ Guido Günther ]
  * Upstream tarball is bzip2

  [ Carsten Schoenert ]
  * debian/gbp.conf: Upstream tarball is gz
  * Imported Upstream version 24.0.4
  * Revert "debian/control: adjust dependency on iceowl-extension"
  * debian/control: adding iceowl-extension to the recommends
  * debian/control: adding current Vcs fields
  * Imported Upstream version 24.0.5
  * debian/MPL-1.1: adding Mozilla MPL-1.1 license
  * debian/control: removing b-d on maxVersion for icedove-dev
  * debian/copyright: rework the whole copyright file
  * debian/docs: adding some already shipped doc files
  * lintian: adding a override for wrong complained issue

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 03 Jul 2014 21:22:13 +0200

sogo-connector (24.0.2-1) experimental; urgency=low

  * Imported Upstream version 24.0.2
  * debian/control: adjust build-dependency on icedove-dev 24.x
  * debian/control: adjust dependency on iceowl-extension
  * debian/watch: adjust watch file to version 24
  * document changes and release 24.0.2-1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 Jan 2014 21:32:13 +0100

sogo-connector (17.0.6-1) experimental; urgency=low

  * Imported Upstream version 17.0.6
  * debian/control: adding dependencie on icedove-dev and python-ply
  * create possibility for rebuilding 'sogo-connector.xpt'
  * debian/rules: force rebuild of the sogo-connector.xpt file
  * debian/control: add build-dependecy
  * document changes and release 17.0.6-1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Nov 2013 20:54:46 +0100

sogo-connector (17.0.5-1) experimental; urgency=low

  * Initial release (Closes: #692984)
  * document changes and release 17.0.5-1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 02 Sep 2013 18:12:29 +0200

=== debian/control ===
Source: sogo-connector
Section: web
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders: Christoph Goehre <chris@sigxcpu.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
  icedove-dev (>= 24~),
  make (>=3.81~),
  mozilla-devscripts (>= 0.32~),
  python-ply
Homepage: http://www.sogo.nu/
Vcs-Git: git://anonscm.debian.org/pkg-mozext/sogo-connector.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/sogo-connector.git;a=summary

Package: xul-ext-sogo-connector
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}, iceowl-extension (>= 31~)
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: transforms Icedove into a full DAV client for groupware servers
 The SOGo Connector makes Icedove to a full DAV client for any groupware
 server like SOGo, OpenGroupware, Citadel or Owncloud.
 The SOGo connector works through CardDAV so any application that provides
 CardDAV functionality will work with the connector.
 The connector provides
  * Event organizers
  * CardDAV implementation for the address book
  * Support for WebDAV access control lists (ACL)
  * Free / Busy URL field in the address book
  * Free / Busy functionality through HTTP
  * Synchronization of the address book using GroupDAV

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
 http://githubredir.debian.net/github/inverse-inc/sogo-connector.tb31/ sogo-connector-(\d\S*).tar.gz

## sogo-connector 31.0.1

=== debian/changelog ===
sogo-connector (31.0.1-1) unstable; urgency=medium

  * debian/watch: switching to new scanning URL
  * Imported Upstream version 31.0.1
     fixed upstream bugs: #3042
  * debian/copyright: adopt and fix copyright holder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Jan 2015 18:47:50 +0100

## sogo-connector 31.0.2

=== debian/changelog ===
sogo-connector (31.0.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * various adjusts of the Vcs field
  * debian/gbp.conf: adjust to jessie-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 01 Feb 2016 18:38:46 +0100

sogo-connector (31.0.2-1) unstable; urgency=medium

  * Imported Upstream version 31.0.2
  * debian/copyright: small adjustments
  * debian/gbp.conf: respect new git-buildpackage behaviour
  * rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Jan 2016 20:37:18 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
   mozilla-devscripts (>= 0.32~),
   python-ply
 Homepage: http://www.sogo.nu/
-Vcs-Git: git://anonscm.debian.org/pkg-mozext/sogo-connector.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/sogo-connector.git;a=summary
+Vcs-Git: https://anonscm.debian.org/pkg-mozext/sogo-connector.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/sogo-connector.git/
 
 Package: xul-ext-sogo-connector
 Architecture: all

## sogo-connector 31.0.3

=== debian/changelog ===
sogo-connector (31.0.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/control: adding Breaks on Icedove and Thunderbird
                    manually (mozilla-devscripts isn't fixed yet)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Jul 2016 20:56:38 +0200

sogo-connector (31.0.3-1) unstable; urgency=medium

  * debian/control: increase B-D for mozilla-devscripts
  * linitan: bump up standards version to 3.9.8
  * debian/control: adding lightning as additional dependency
  * debian/gbp.conf: additional filter for files while import
  * Imported Upstream version 31.0.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Jul 2016 20:13:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders: Christoph Goehre <chris@sigxcpu.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
   icedove-dev (>= 24~),
   make (>=3.81~),
-  mozilla-devscripts (>= 0.32~),
+  mozilla-devscripts (>= 0.39~),
   python-ply
 Homepage: http://www.sogo.nu/
 Vcs-Git: https://anonscm.debian.org/pkg-mozext/sogo-connector.git
@@ -15,9 +15,10 @@
 
 Package: xul-ext-sogo-connector
 Architecture: all
-Depends: ${misc:Depends}, ${xpi:Depends}, iceowl-extension (>= 31~)
+Depends: ${misc:Depends}, ${xpi:Depends},
+ iceowl-extension (>= 31~) | lightning,
 Recommends: ${xpi:Recommends}
-Breaks: ${xpi:Breaks}
+Breaks: icedove (<< 31.0), thunderbird (<< 31.0)
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Description: transforms Icedove into a full DAV client for groupware servers

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
 http://github.com/inverse-inc/sogo-connector.tb31/tags .*/?(\d{2}\.\d.\d)\.tar\.gz

## sogo-connector 31.0.5

=== debian/changelog ===
sogo-connector (31.0.5-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 27 Dec 2017 21:12:44 +0100

sogo-connector (31.0.5-2) unstable; urgency=medium

  * [d457c90] debian/control: removing references to Icedove
   - Clean out any references to old icedove* packages for Build-Depends and
     also for Depends in the binary package to not collide with removal of
     transitional packages from the src:icedove package.
  * [1afa79a] debian/control: bump Standards-Version to 4.1.0
   - Policy version is now moved on to 4.1.0.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 21 Sep 2017 20:18:57 +0200

sogo-connector (31.0.5-1) unstable; urgency=medium

  * [5ba36c6] rebuild patch queue from patch-queue branch
   - Adding some modifications so the keyword 'let' isn't used for some
     variables in some source files as the variables aren't have a local
     scope. This decreases some unneded error messages on the cli.
  * [a5cefa8] debian/gbp.conf: adjust to branch debian/sid
  * [3256585] New upstream version 31.0.5
  * [21244ff] debian/control: adding X-Debian-Homepage field
   - Adding a extra pointer to the Debian Wiki site on the package tracker
     site.
  * [78b1c01] debian/copyright: small updates
  * [4572780] debian/control: bump Standards-Version to 4.0.0
   - No extra changes needed to archive the new requirements by 4.0.0.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Jul 2017 22:38:28 +0200

sogo-connector (31.0.4-1) unstable; urgency=medium

  * [a6d9434] New upstream version 31.0.4
  * [7e6659e] debian/copyright: update file after upstream changes

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Jun 2017 13:36:53 +0200

sogo-connector (31.0.3-3) unstable; urgency=medium

  * [7f95a11] rebuild patch queue from patch-queue branch (Closes: #856457)
  * [9328a7e] debian/control: reverse the resolving order for -dev package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 04 Mar 2017 09:51:45 +0100

sogo-connector (31.0.3-2) unstable; urgency=medium

  * [85e9938] debian/control: wrap-and-sort all entries
  * [82988f2] Build-Depends: append possible thunderbird-dev package
  * [6ac973e] debhelper: bump to version 10
  * [1f59a4a] debian/control: correcting, moving Vcs fields to https
  * [c4ff179] debian/copyright: update same sections, adding MPL-1.1
  * [ba1f4ce] debian/control: extend the description of sogo-connector

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Jan 2017 14:40:27 +0100

=== debian/control ===
Source: sogo-connector
Section: web
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Standards-Version: 4.1.0
Build-Depends:
 debhelper (>= 10.2.2~),
 thunderbird-dev,
 make (>=3.81~),
 mozilla-devscripts (>= 0.39~),
 python-ply,
Homepage: http://www.sogo.nu/
X-Debian-Homepage: http://wiki.debian.org/SOGoConnector
Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/sogo-connector.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-mozext/sogo-connector.git

Package: xul-ext-sogo-connector
Architecture: all
Depends:
 lightning,
 ${misc:Depends},
 ${xpi:Depends},
Recommends:
 ${xpi:Recommends},
Breaks:
 ${xpi:Breaks},
Provides:
 ${xpi:Provides},
Enhances:
 ${xpi:Enhances},
Description: transforms Thunderbird into a full DAV client for groupware servers
 The SOGo Connector makes Thunderbird to a full DAV client for any groupware
 server like SOGo, OpenGroupware, Citadel or Owncloud / Nextcloud.
 The SOGo connector works through CardDAV so any application that provides
 CardDAV functionality will work with the connector.
 The connector provides
  * Event organizers
  * CardDAV implementation for the address book
  * Support for WebDAV access control lists (ACL)
  * Free / Busy URL field in the address book
  * Free / Busy functionality through HTTP
  * Synchronization of the address book using GroupDAV

## sogo-connector 60.0.0+gite2547a3

=== debian/changelog ===
sogo-connector (60.0.0+gite2547a3-1) unstable; urgency=medium

  * [8785a7e] New upstream version 31.0.6
  * [4498ec4] add files from package thunderbird-devel
   - To get the upstream source build we need some files from the now no
     longer available package thunderbird-dev. Extracting these files from
     latest available version on snapshot.d.o and place the files with the
     debian/ folder.
  * [014690f] rebuild patch queue from patch-queue branch
   - modified patch:
     sogo-connector.xpt-prepare-option-for-rebuild-the-.x.patch
     By the now different source folders for the required files from the old
     package thunderbird-dev we also need to modify the Makefile within the
     folder components/ so this file is referencing the new source folder for
     to get the AddOn build.
  * [a787dfb] New upstream version 60.0.0+gite2547a3
   - Closes: #909313, #890513, #858734
  * [e3da533] d/control: remove B-D on thunderbird-dev
   - Removing the no longer available package from the Build-Depends.
  * [99365db] debian/control: bump Standards-Version to 4.2.1
   - No further changes needed.
  * [ca0be35] d/control: adjust Vcs fields to Salsa
   - Packaging tree is now moved over to Salsa.
  * [e4632ef] d/watch: use https instead of http
  * [b31b662] d/control: adjust upstream Homepage
   - Change the referencing Upstream URL to the new created GitHub site on
     https://github.com/inverse-inc/sogo-connector
  * [d02948f] d/watch: use new github sub site for the watch file
   - And also use this URL within the watch file.
  * [cb51d79] rebuild patch queue from patch-queue branch
  * [f380573] d/rules: tweak the installation of some files
   - Remove unneeded Makefile from the package and move the README file into
     /usr/share/doc/xul-ext-sogo-connector

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 28 Sep 2018 19:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
  Christoph Goehre <chris@sigxcpu.org>,
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Build-Depends:
  debhelper (>= 10.2.2~),
- thunderbird-dev,
  make (>=3.81~),
- mozilla-devscripts (>= 0.39~),
+ mozilla-devscripts (>= 0.45.1~),
  python-ply,
-Homepage: http://www.sogo.nu/
+Homepage: https://github.com/inverse-inc/sogo-connector
 X-Debian-Homepage: http://wiki.debian.org/SOGoConnector
-Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/sogo-connector.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mozext/sogo-connector.git
+Vcs-Git: https://salsa.debian.org/webext-team/sogo-connector.git
+Vcs-Browser: https://salsa.debian.org/webext-team/sogo-connector
 
 Package: xul-ext-sogo-connector
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	# rebuilding the *.xpt file
	cd components; \
			make clean && make
	rm components/Makefile
	xpi-pack . xul-ext-sogo-connector.xpi

override_dh_auto_install:
	install-xpi xul-ext-sogo-connector.xpi
	mkdir -p debian/xul-ext-sogo-connector/usr/share/doc/xul-ext-sogo-connector
	mv debian/xul-ext-sogo-connector/usr/share/xul-ext/sogo-connector/README debian/xul-ext-sogo-connector/usr/share/doc/xul-ext-sogo-connector
	rm debian/xul-ext-sogo-connector/usr/share/xul-ext/sogo-connector/Makefile

override_dh_auto_clean:
	rm -f xul-ext-sogo-connector.xpi

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
 https://github.com/inverse-inc/sogo-connector/tags .*/?(\d{2}\.\d.\d)\.tar\.gz

## sogo-connector 60.0.1

=== debian/changelog ===
sogo-connector (60.0.1-1) unstable; urgency=medium

  * [37adbb6] New upstream version 60.0.1
  * [fcd4f5d] d/control: bump Standards-Version to 4.3.0
    - No further changes needed.
  * [0c71fd4] debhelper: use debhelper-compat in B-D
    - Move over to use debhelper-compat (with version 12) instead of using
      a specific debhelper version together with a possible different version
      for compatibility in d/compat.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 21 Feb 2019 19:27:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
  Christoph Goehre <chris@sigxcpu.org>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 10.2.2~),
+ debhelper-compat (= 12),
  make (>=3.81~),
  mozilla-devscripts (>= 0.45.1~),
  python-ply,

## sogo-connector 60.0.2

=== debian/changelog ===
sogo-connector (60.0.2-1) unstable; urgency=medium

  * [747546e] New upstream version 60.0.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 Mar 2019 19:40:57 +0100

## sogo-connector 68.0.1

=== Makefile ===
PACKAGE = sogo-connector
GIT_REV = $(shell git rev-parse --verify HEAD | cut -c1-10)

ifeq ($(shell uname),Darwin)
VERSION = $(shell grep em:version install.rdf | sed -E 's@(em:version=|"| )@@g')
else
VERSION = $(shell grep em:version install.rdf | sed -e 's@\(em:version=\|\"\|\ \)@@g')
endif

FIND_FILTER = ! -path './custom/*' -type f
XPI_ARCHIVE = $(PACKAGE)-$(VERSION)-$(GIT_REV).xpi

SHELL=bash
ZIP=zip

FILENAMES = $(shell cat MANIFEST)

all: MANIFEST-pre MANIFEST rest

custom-build:
	@if test "x$$build" == "x"; then \
	  echo "Building package with default settings."; \
	else \
	  echo "Building package with custom settings for '$$build'."; \
	  if ! test -d custom/$$build; then \
	    echo "Custom build '$$build' does not exist"; \
	    exit 1; \
	  fi; fi

MANIFEST: MANIFEST-pre
	@if ! cmp MANIFEST MANIFEST-pre >& /dev/null; then \
	  mv -f MANIFEST-pre MANIFEST; \
	  echo MANIFEST updated; \
	else \
	  rm -f MANIFEST-pre; \
	fi;

MANIFEST-pre:
	@echo manifest.json > $@
	@echo COPYING >> $@
	@echo ChangeLog.old >> $@
	@find . $(FIND_FILTER) -name "*.manifest" >> $@
	@find . $(FIND_FILTER) -name "*.xul" >> $@
	@find . $(FIND_FILTER) -name "*.xml" >> $@
	@find . $(FIND_FILTER) -name "*.dtd" >> $@
	@find . $(FIND_FILTER) -name "*.idl" >> $@
	@find . $(FIND_FILTER) -name "*.js" >> $@
	@find . $(FIND_FILTER) -name "*.jsm" >> $@
	@find . $(FIND_FILTER) -name "*.css" >> $@
	@find . $(FIND_FILTER) -name "*.png" >> $@
	@find . $(FIND_FILTER) -name "*.gif" >> $@
	@find . $(FIND_FILTER) -name "*.jpg" >> $@
	@find . $(FIND_FILTER) -name "*.xpt" >> $@
	@find . $(FIND_FILTER) -name "*.properties" >> $@
	@find . $(FIND_FILTER) -name "*.rdf" >> $@
	@find . $(FIND_FILTER) -name "RELEASE-NOTES" >> $@	

rest: MANIFEST
	@+make $(XPI_ARCHIVE)

$(XPI_ARCHIVE): $(FILENAMES)
	@echo Generating $(XPI_ARCHIVE)...
	@rm -f $(XPI_ARCHIVE)
	@$(ZIP) -9r $(XPI_ARCHIVE) $(FILENAMES) > /dev/null
	@if test "x$$build" != "x"; then \
	  cd custom/$$build; \
	  $(ZIP) -9r ../../$(XPI_ARCHIVE) * > /dev/null; \
	fi

clean:
	rm -f MANIFEST-pre $(XPI_ARCHIVE)
	rm -f *.xpi
	find . -name "*~" -exec rm -f {} \;

distclean: clean
	rm -f MANIFEST

=== debian/changelog ===
sogo-connector (68.0.1-2~deb10u1) buster; urgency=medium

  * Rebuild for Buster
  * [a92f899] d/gbp.conf: adjust to debian/buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Jan 2020 18:54:00 +0100

sogo-connector (68.0.1-1) unstable; urgency=medium

  * [0e43d2d] d/control: move Maintainer to Debian Mozilla Extension Maintainers

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 24 Dec 2019 14:18:51 +0100

sogo-connector (68.0.1-1~exp1) unstable; urgency=medium

  * [74a8e5f] New upstream version 68.0.1
  * [5c78ff2] d/control: add new package webext-sogo-connector
    - The source of the package is now web-extension based only, no old
      transitional xul stuff is included. So make this visible by moving the
      main binary package over to webext-* syntax.
  * [b292c29] d/control: remove B-D on make and mozilla-devscripts
    - Drop Build-Depends on make and mozilla-devscripts, they are not needed
      any more.
  * [1dadf9c] d/control: adding Rules-Requires-Root: no
  * [1d3e119] d/rules: updating build targets
    - Clean up all non needed xul-* helpers, makes the mostly needed target
      reduced to the quite the minimum.
  * [ec0863d] webext-sogo-connector adding install sequencer file
  * [366a931] webext-sogo-connector: adding linking sequencer file
  * [1c7252f] webext-sogo-connector: adding docs sequencer file
  * [48e8b6a] d/xul-ext-sogo-connector.lintian-overrides: drop file
    - xul-ext-sogo-connector is now a transitional package, we don't need
      this lintian file any more.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 23 Dec 2019 13:41:27 +0100

sogo-connector (68.0.0-1) unstable; urgency=medium

  * [63605f6] New upstream version 68.0.0
    (Closes: #945061)
  * [f021239] d/control: bump Standards-Version to 4.4.1
  * [cece803] d/control: drop B-D on python-ply
    (Closes: #939479)
  * [86ab883] rebuild patch queue from patch-queue branch
    - removed patches:
      removing-the-COPYING-file.patch
      sogo-connector.xpt-prepare-option-for-rebuild-the-.x.patch
  * [00917e3] remove now obsolete *.idl files
    - The package build isn't depending on some old files from the non
      existing package thunderbird-dev any more. The build doesn't uses
      *.idl files now.
  * [4b96f9a] d/copyright: update date information
  * [3efbfa0] d/watch: switch over to git mode
  * [324d0b8] d/rules: rewrite targets due modified source for TB 68
    - Rewrite the control of the package build. There is no local run of
      some Make targets needed any more.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Nov 2019 20:41:22 +0100

=== debian/control ===
Source: sogo-connector
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Christoph Goehre <chris@sigxcpu.org>,
Standards-Version: 4.4.1
Build-Depends:
 debhelper-compat (= 12),
Rules-Requires-Root: no
Homepage: https://github.com/inverse-inc/sogo-connector
X-Debian-Homepage: http://wiki.debian.org/SOGoConnector
Vcs-Git: https://salsa.debian.org/webext-team/sogo-connector.git
Vcs-Browser: https://salsa.debian.org/webext-team/sogo-connector

Package: webext-sogo-connector
Architecture: all
Depends:
 lightning (>= 68.0),
 ${misc:Depends},
Description: Adds DAV client functionality to Thunderbird
 The SOGo Connector makes Thunderbird to a full DAV client for any groupware
 server like SOGo, OpenGroupware, Citadel or Owncloud / Nextcloud.
 The SOGo connector works through CardDAV so any application that provides
 CardDAV functionality will work with the connector.
 The connector provides
  * Event organizers
  * CardDAV implementation for the address book
  * Support for WebDAV access control lists (ACL)
  * Free / Busy URL field in the address book
  * Free / Busy functionality through HTTP
  * Synchronization of the address book using GroupDAV

Package: xul-ext-sogo-connector
Architecture: all
Section: oldlibs
Depends:
 webext-sogo-connector,
 ${misc:Depends},
Description: Adds DAV client functionality to Thunderbird - Transitional package
 This is a transitional package, it can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
override_dh_auto_build:

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
      https://github.com/inverse-inc/sogo-connector.git \
      refs/tags/sogo-connector-(\d+\.\d+\.\d+(?:\.?beta[1-9])?)
